POST /v1/recipients/:id/resend-sms
{
"id": "255e591c2c9fe1bc99be1ec03075b402",
"name": "Ted Annature",
"email": "ted@annature.com.au",
"mobile": "+61422000000",
"type": "signer",
"status": "sent",
"message": "Lorem ipsum dolor sit amet.",
"password": true,
"muted": false,
"order": 1,
"declined_reason": "Lorem ipsum dolor sit amet.",
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"declined": "2019-12-17T05:30:00Z",
"completed": "2019-12-17T05:30:00Z",
"redirects": {
"session_completed": "https://..",
"session_declined": "https://.."
}
}
Recipients
Resend a signing sms
POST /v1/recipients/:id/resend-sms
{
"id": "255e591c2c9fe1bc99be1ec03075b402",
"name": "Ted Annature",
"email": "ted@annature.com.au",
"mobile": "+61422000000",
"type": "signer",
"status": "sent",
"message": "Lorem ipsum dolor sit amet.",
"password": true,
"muted": false,
"order": 1,
"declined_reason": "Lorem ipsum dolor sit amet.",
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"declined": "2019-12-17T05:30:00Z",
"completed": "2019-12-17T05:30:00Z",
"redirects": {
"session_completed": "https://..",
"session_declined": "https://.."
}
}
Sends a new signing SMS message to the specified recipient.
This endpoint is available only when the recipient:
- Is part of an envelope that is still in progress
- Has a mobile number assigned
- Is not a
carbon-copyrecipient
failed or declined, it will automatically be updated to sent when this endpoint is used.
This endpoint cannot be used for recipients who have already completed their actions, unless the envelope has been completed and you’re looking to resend a completion email instead — which is only applicable via the Resend a signing email endpoint.
POST /v1/recipients/:id/resend-sms
{
"id": "255e591c2c9fe1bc99be1ec03075b402",
"name": "Ted Annature",
"email": "ted@annature.com.au",
"mobile": "+61422000000",
"type": "signer",
"status": "sent",
"message": "Lorem ipsum dolor sit amet.",
"password": true,
"muted": false,
"order": 1,
"declined_reason": "Lorem ipsum dolor sit amet.",
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"declined": "2019-12-17T05:30:00Z",
"completed": "2019-12-17T05:30:00Z",
"redirects": {
"session_completed": "https://..",
"session_declined": "https://.."
}
}